#
# spec file for package ocaml-result
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-result
Version:        1.5
Release:        3.11
%{?ocaml_preserve_bytecode}
Summary:        Compatibility OCaml Result module
License:        BSD-3-Clause
Group:          Development/Languages/OCaml
BuildRoot:      %_tmppath/%name-%version-build
URL:            https://opam.ocaml.org/packages/result
Source0:        %name-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20220409

%description
Projects that want to use the new result type defined in OCaml >= 4.03 while
staying compatible with older version of OCaml should use the Result module
defined in this library.

%package devel
Summary:        Development files for the Compatibility OCaml Result module
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description devel
Projects that want to use the new result type defined in OCaml >= 4.03 while
staying compatible with older version of OCaml should use the Result module
defined in this library.

This package contains development files for %name.

%prep
%setup -q

%build
dune_release_pkgs='result'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files
%defattr(-,root,root,-)

%files devel -f %name.files.devel
%defattr(-,root,root,-)

%changelog
* Sat Apr  9 2022 ohering@suse.de
- Remove usage of ocaml-dune-bootstrap, following changes in ocaml-dune
* Mon Apr  4 2022 ohering@suse.de
- Build with ocaml-dune-bootstrap
* Thu Jan 21 2021 ohering@suse.de
- Update to version 1.5
  Make Result an alias of Stdlib.Result on OCaml >= 4.08.
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Use _service file
* Mon Sep 30 2019 ohering@suse.de
- use dune macros from ocaml-rpm-macros
* Thu Sep  5 2019 antoine.belvire@opensuse.org
- Update to version 1.4:
  * Support for OCaml 4.08.
  * Switch to dune.
- Changes from version 1.3:
  * Switch to jbuilder.
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Wed May 31 2017 olaf@aepfle.de
- Replace tabs with spaces in generated _oasis file
* Tue May 16 2017 olaf@aepfle.de
- Build with oasis
* Tue Jan 10 2017 antoine.belvire@opensuse.org
- Fix build for SLE_11: add group tag to devel subpackage.
* Fri Dec 23 2016 antoine.belvire@opensuse.org
- Create package ocaml-result-1.2
